
Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid


Public Class Form1

    Dim MyDataTable As New DataTable("MyDataTable")

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles MyBase.Load

        With Me
            .Create_DataTable()
            .UltraGrid1.DataSource = .MyDataTable

            ' when I set it here, the issue occurs:
            'With .UltraGrid1.DisplayLayout.Bands(0).Columns("Long Name")
            '    .CellMultiLine = DefaultableBoolean.True
            'End With
        End With
    End Sub

    Private Sub Create_DataTable()
        With Me.MyDataTable
            With .Columns
                .Add("Long Name")
            End With

            With .Rows
                .Add("All that is gold does not glitter, not all those who wander are lost;")
                .Add("The old that is strong does not wither, deep roots are not reached by the frost.")
                .Add("From the ashes a fire shall be woken, a light from the shadows shall spring;")
                .Add("Renewed shall be blade that was broken, the crownless again shall be king")
            End With
        End With
    End Sub

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) _
        Handles UltraGrid1.InitializeLayout

        With e.Layout
            With .Override
                .WrapHeaderText = DefaultableBoolean.True
                .HeaderAppearance.TextHAlign = HAlign.Center
                .RowSizing = UltraWinGrid.RowSizing.AutoFree
            End With

            With .Bands(0)
                .ColHeaderLines = 2

                With .Columns("Long Name")
                    ' when I set it here, it works as expected
                    .CellMultiLine = DefaultableBoolean.True
                    .MinWidth = 450
                End With
            End With
        End With
    End Sub
End Class
